## ffmpeg 6.1

=== debian/changelog ===
ffmpeg (7:6.1-5~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Dec 2023 06:43:07 -0800

ffmpeg (7:6.1-5) unstable; urgency=medium

  [ - ]
  * debian/: Build with harfbuzz (Closes: #1056597)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Dec 2023 12:59:43 +0100

ffmpeg (7:6.1-4) unstable; urgency=medium

  * debian/patches: Apply new upstream patch

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Nov 2023 20:52:36 +0100

ffmpeg (7:6.1-3) unstable; urgency=medium

  * debian/patches: Fix crash in vlc hardware decoder (Closes: #1055952,
    #1056058, #1056149)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 Nov 2023 10:48:05 +0100

ffmpeg (7:6.1-2) unstable; urgency=medium

  * debian/patches: Fix segfault when freeing FFT instances
  * debian/tests:
    - Fix parsing of encoders and decoders
    - Fix file name for hls tests
    - Disable streamcopy test of matroska/gif

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 12 Nov 2023 15:38:18 +0100

ffmpeg (7:6.1-1) unstable; urgency=medium

  * New upstream version 6.1
  * debian/patches: Remove patches included upstream
  * debian/: Remove use of pkgkde_symbolshelper
  * debian/*.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Nov 2023 13:02:47 +0100

ffmpeg (7:6.0-9) unstable; urgency=medium

  * debian/patches: Workaround build issues with texinfo 7.1 (Closes:
    #1055111)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 Nov 2023 00:06:10 +0100

ffmpeg (7:6.0-8) unstable; urgency=medium

  * debian/: Re-enable libsvtav1 (Closes: #1055058)
  * debian/rules: Remove mips(el)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 30 Oct 2023 21:55:47 +0100

ffmpeg (7:6.0-7) unstable; urgency=medium

  * debian/: Disable libsvtav1 to unblock transition

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Sep 2023 08:47:33 +0200

=== debian/control ===
Source: ffmpeg
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Balint Reczey <balint@balintreczey.hu>,
           James Cowgill <jcowgill@debian.org>,
           Sebastian Ramacher <sramacher@debian.org>
Rules-Requires-Root: no
Homepage: https://ffmpeg.org/
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpeg.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpeg
Build-Depends-Indep:
# needed to minify the CSS files
                     cleancss,
# Autogenerated documentation
                     doxygen,
# needed to create the CSS files for the HTML manuals
                     node-less,
# generates top level manual page listing
                     tree
Build-Depends:
# autodetected: hwaccels 'cuda_llvm'
               clang [amd64 arm64 i386 ppc64el],
               debhelper-compat (= 13),
# --enable-libflite
               flite1-dev,
# --enable-frei0r
               frei0r-plugins-dev <!pkg.ffmpeg.stage1>,
# --enable-libglslang,
               glslang-dev,
# --enable-ladspa
               ladspa-sdk,
# --enable-libaom
               libaom-dev,
# --enable-libaribb24
               libaribb24-dev,
# --enable-libass
               libass-dev,
               libavc1394-dev [linux-any],
# --enable-libbluray
               libbluray-dev,
# --enable-libbs2b
               libbs2b-dev,
# autodetected: external library 'bzlib'
               libbz2-dev,
# --enable-libcaca
               libcaca-dev,
# --enable-libcdio
               libcdio-paranoia-dev,
# --enable-libchromaprint
               libchromaprint-dev <!pkg.ffmpeg.stage1>,
# --enable-libcodec2
               libcodec2-dev,
# --enable-libdav1d
               libdav1d-dev,
# --enable-libdc1394
               libdc1394-dev [linux-any],
# --enable-libdrm
               libdrm-dev [linux-any],
# autodected: ffnvcodec
               libffmpeg-nvenc-dev [amd64 arm64 i386],
# --enable-libfontconfig
               libfontconfig-dev,
# --enable-libfreetype
               libfreetype-dev,
# --enable-fribidi
               libfribidi-dev,
# --enable-opengl
               libgl-dev,
# --enable-libgme
               libgme-dev,
# --enable-gnutls
               libgnutls28-dev,
# --enable-libgsm
               libgsm1-dev,
# --enable-libharfbuzz
               libharfbuzz-dev,
# Fails to be detected by configure script, if not also libavc1394-dev is installed.
# --enable-libiec61883
               libiec61883-dev [linux-any],
# --enable-libjack
               libjack-jackd2-dev,
# --enable-libjxl
               libjxl-dev [!alpha],
# --enable-lv2
               liblilv-dev,
# autodetected for the tiff decoder
               liblzma-dev,
# --enable-libmp3lame
               libmp3lame-dev,
# --enable-libmysofa
               libmysofa-dev,
# --enable-omx
               libomxil-bellagio-dev,
# --enable-openal
               libopenal-dev,
# --enable-libopencore_amrnb
               libopencore-amrnb-dev,
# --enable-libopencore_amrwb
               libopencore-amrwb-dev,
# --enable-libopenjpeg
               libopenjp2-7-dev (>= 2.1),
# --enable-libopenmpt
               libopenmpt-dev,
# --enable-libopus
               libopus-dev,
# --enable-libplacebo
               libplacebo-dev (>= 4.192) [linux-any] <!pkg.ffmpeg.stage1>,
# --enable-pocketsphinx
               libpocketsphinx-dev (>= 0.8+5prealpha+1-7~) [!alpha !hppa !ia64 !m68k !mips64el !powerpc !ppc64 !s390x !sparc64],
# --enable-libpulse
               libpulse-dev,
# --enable-librabbitmq
               librabbitmq-dev,
# --enable-librav1e
               librav1e-dev [!alpha !hppa !hurd-i386 !ia64 !m68k !sh4 !sparc64 !x32] <!pkg.ffmpeg.stage1>,
# --enable-librist
               librist-dev,
# --enable-librsvg
               librsvg2-dev [!alpha !hppa !hurd-i386 !ia64 !m68k !sh4 !x32],
# --enable-librubberband
               librubberband-dev,
# autodetected: protocol 'sctp'
               libsctp-dev [linux-any],
# --enable-sdl2
               libsdl2-dev,
# --enable-libshine
               libshine-dev (>= 3.0.0),
# --enable-libsmbclient (used only in -extra flavor)
               libsmbclient-dev (>= 4.13) [!hurd-i386],
# --enable-libsnappy
               libsnappy-dev,
# --enable-libsoxr
               libsoxr-dev,
# --enable-libspeex
               libspeex-dev,
# --enable-libsrt
               libsrt-gnutls-dev,
# --enable-libssh
               libssh-gcrypt-dev,
# --enable-libsvtav1
               libsvtav1enc-dev <!pkg.ffmpeg.stage1>,
# --enable-libtesseract (used only in -extra flavor)
               libtesseract-dev,
# --enable-libtheora
               libtheora-dev,
# --enable-libtwolame
               libtwolame-dev,
# This is not necessary, see explanation in debian/rules.
# # --enable-libv4l2
# libv4l-dev [!hurd-any],
# autodetected: hwaccels 'h263_vaapi, mpeg2_vaapi, vc1_vaapi, h264_vaapi, mpeg4_vaapi, wmv3_vaapi'
               libva-dev (>= 1.3) [!hurd-any],
# autodetected: hwaccels 'h263_vdpau, mpeg2_vdpau, vc1_vdpau, h264_vdpau, mpeg4_vdpau, wmv3_vdpau, mpeg1_vdpau', decoders 'h264_vdpau, mpeg1_vdpau, mpeg4_vdpau, mpeg_vdpau, vc1_vdpau, wmv3_vdpau'
               libvdpau-dev,
# --enable-libvidstab
               libvidstab-dev,
# --enable-libvo_amrwbenc
               libvo-amrwbenc-dev,
# --enable-libvorbis
               libvorbis-dev,
# --enable-libvpl
               libvpl-dev [amd64],
# --enable-libvpx
               libvpx-dev,
# autodetected: vulkan
               libvulkan-dev [linux-any],
# --enable-libwebp
               libwebp-dev,
# --enable-libx264
               libx264-dev <!pkg.ffmpeg.stage1>,
# --enable-libx265
               libx265-dev (>= 1.8),
# autodetected libxcb-shape
               libxcb-shape0-dev,
# autodetected libxcb-shm
               libxcb-shm0-dev,
# autodetected libxcb-xfixes
               libxcb-xfixes0-dev,
# --enable-libxml2
               libxml2-dev,
# autodetected xlib
               libxv-dev,
# --enable-libxvid
               libxvidcore-dev,
# --enable-libzimg
               libzimg-dev,
# --enable-libzmq
               libzmq3-dev,
# --enable-libzvbi
               libzvbi-dev,
# assembler optimizations
               nasm,
# --enable-opencl
               ocl-icd-opencl-dev | opencl-dev,
# used to detect libraries
               pkg-config,
# HTML documentation
               texinfo,
# autodetected zlib
               zlib1g-dev

Package: ffmpeg
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ffmpeg-doc
Description: Tools for transcoding, streaming and playing of multimedia files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains:
  * ffmpeg: a command line tool to convert multimedia files between formats
  * ffplay: a simple media player based on SDL and the FFmpeg libraries
  * ffprobe: a simple multimedia stream analyzer
  * qt-faststart: a utility to rearrange Quicktime files

Package: ffmpeg-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-bootstrap, libjs-jquery, ${misc:Depends}
Description: Documentation of the FFmpeg multimedia framework
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains the HTML documentation for the FFmpeg multimedia
 framework including the API documentation created by doxygen and the manpages
 for the libraries.

Package: libavcodec60
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libcuda1 [amd64 arm64 i386],
          libnvcuvid1 [amd64 arm64 i386],
          libnvidia-encode1 [amd64 arm64 i386]
Description: FFmpeg library with de/encoders for audio/video codecs - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the runtime files.

Package: libavcodec-extra60
Architecture: any
Section: libs
Multi-Arch: same
Conflicts: libavcodec60
Provides: libavcodec60 (= ${binary:Version})
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libcuda1 [amd64 arm64 i386],
          libnvcuvid1 [amd64 arm64 i386],
          libnvidia-encode1 [amd64 arm64 i386]
Description: FFmpeg library with additional de/encoders for audio/video codecs
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package replaces the libavcodec60 package and contains the
 following additional codecs:
 .
  * ARIB STD-B24 Captions (Subtitle Decoder)
  * OpenCORE Adaptive Multi-Rate (AMR) Narrow-Band (Encoder/Decoder)
  * OpenCORE Adaptive Multi-Rate (AMR) Wide-Band (Decoder)
  * Android VisualOn Adaptive Multi-Rate (AMR) Wide-Band (Encoder)
 .
 Because this package links against libraries that are licensed under
 Apache License 2.0, the resulting binaries are distributed under the
 GPL version 3 or later.

Package: libavcodec-extra
Architecture: any
Section: metapackages
Multi-Arch: same
Depends: libavcodec-extra60 (= ${binary:Version}), ${misc:Depends}
Description: FFmpeg library with extra codecs (metapackage)
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This metapackage depends on the latest version of the libavcodec variant
 that offers additional codec support. Application packages can depend
 on it if they require or suggest this variant in a robust manner.

Package: libavcodec-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libavcodec60 (= ${binary:Version}),
         libavutil-dev (= ${binary:Version}),
         libswresample-dev (= ${binary:Version}),
         ${misc:Depends}
Description: FFmpeg library with de/encoders for audio/video codecs - development files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O

## ffmpeg 6.1.1

=== libavfilter/dnn/Makefile ===
OBJS-$(CONFIG_DNN)                           += dnn/dnn_interface.o
OBJS-$(CONFIG_DNN)                           += dnn/dnn_io_proc.o
OBJS-$(CONFIG_DNN)                           += dnn/queue.o
OBJS-$(CONFIG_DNN)                           += dnn/safe_queue.o
OBJS-$(CONFIG_DNN)                           += dnn/dnn_backend_common.o

DNN-OBJS-$(CONFIG_LIBTENSORFLOW)             += dnn/dnn_backend_tf.o
DNN-OBJS-$(CONFIG_LIBOPENVINO)               += dnn/dnn_backend_openvino.o

OBJS-$(CONFIG_DNN)                           += $(DNN-OBJS-yes)

=== debian/changelog ===
ffmpeg (7:6.1.1-3ubuntu5) noble; urgency=medium

  * Rebuild against new librist.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 19:28:52 +0200

ffmpeg (7:6.1.1-3ubuntu4) noble; urgency=medium

  * Rebuild against new librist.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 17:08:11 +0200

ffmpeg (7:6.1.1-3ubuntu3) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 13:58:25 +0200

ffmpeg (7:6.1.1-3ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:35:03 +0000

ffmpeg (7:6.1.1-3ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Mar 2024 17:46:22 +0100

ffmpeg (7:6.1.1-3) unstable; urgency=medium

  * debian/:
    - Add build profile pkg.ffmpeg.noextra to disable the build of the -extra
      packages.
    - Disable OpenMAX support
    - Skip more dependencies in pkg.ffmpeg.stage1 build profile

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 22 Mar 2024 07:30:38 +0100

ffmpeg (7:6.1.1-2ubuntu4) noble; urgency=medium

  * No-change rebuild to pick up libvpx.so.9

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 18 Mar 2024 09:20:34 +0100

ffmpeg (7:6.1.1-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:04:07 +0000

ffmpeg (7:6.1.1-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Feb 2024 17:13:42 +0100

ffmpeg (7:6.1.1-2) unstable; urgency=medium

  * debian/patches: Fix compilation with glslang 14 (Closes: #1064740)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Feb 2024 23:26:37 +0100

ffmpeg (7:6.1.1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 10:04:58 +0100

ffmpeg (7:6.1.1-1) unstable; urgency=medium

  * New upstream version 6.1.1
  * debian/control: Use pkgconf
  * debian/patches: Remove patches included upstream
  * debian/copyright: Remove unused file patterns
  * debian/*.lintian-overrides: Update due renamed tags

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Dec 2023 10:42:58 +0100

ffmpeg (7:6.1-5ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Dec 2023 09:27:51 +0100

ffmpeg (7:6.1-4ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 10:01:17 +0100

ffmpeg (7:6.1-3ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Nov 2023 09:32:19 +0100

ffmpeg (7:6.1-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Nov 2023 10:31:00 +0100

ffmpeg (7:6.0-9ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Nov 2023 06:33:32 +0100

=== debian/control ===
Source: ffmpeg
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Balint Reczey <balint@balintreczey.hu>,
 James Cowgill <jcowgill@debian.org>,
 Sebastian Ramacher <sramacher@debian.org>,
Rules-Requires-Root: no
Homepage: https://ffmpeg.org/
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpeg.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpeg
Build-Depends-Indep:
# needed to minify the CSS files
 cleancss,
# Autogenerated documentation
 doxygen,
# needed to create the CSS files for the HTML manuals
 node-less,
# generates top level manual page listing
 tree,
Build-Depends:
# autodetected: hwaccels 'cuda_llvm'
 clang [amd64 arm64 i386 ppc64el],
 debhelper-compat (= 13),
# --enable-libglslang,
 glslang-dev,
# --enable-libflite
 flite1-dev,
# --enable-frei0r
 frei0r-plugins-dev <!pkg.ffmpeg.stage1>,
# --enable-ladspa
 ladspa-sdk <!pkg.ffmpeg.stage1>,
# --enable-libaom
 libaom-dev,
# --enable-libaribb24
 libaribb24-dev <!pkg.ffmpeg.noextra>,
# --enable-libass
 libass-dev,
# --enable-libbluray
 libbluray-dev <!pkg.ffmpeg.stage1>,
# --enable-libbs2b
 libbs2b-dev,
# autodetected: external library 'bzlib'
 libbz2-dev,
# --enable-libcaca
 libcaca-dev,
# --enable-libcdio
 libcdio-paranoia-dev,
# --enable-libchromaprint
 libchromaprint-dev <!pkg.ffmpeg.stage1>,
# --enable-libcodec2
 libcodec2-dev,
# --enable-libdav1d
 libdav1d-dev,
# --enable-libdc1394
 libdc1394-dev [linux-any],
# --enable-libdrm
 libdrm-dev [linux-any],
# autodected: ffnvcodec
 libffmpeg-nvenc-dev [amd64 arm64 i386],
# --enable-libfontconfig
 libfontconfig-dev,
# --enable-libfreetype
 libfreetype-dev,
# --enable-fribidi
 libfribidi-dev,
# --enable-opengl
 libgl-dev,
# --enable-libgme
 libgme-dev,
# --enable-gnutls
 libgnutls28-dev,
# --enable-libgsm
 libgsm1-dev,
# --enable-libharfbuzz
 libharfbuzz-dev,
# Fails to be detected by configure script, if not also libavc1394-dev is installed.
# --enable-libiec61883
 libiec61883-dev [linux-any],
 libavc1394-dev [linux-any],
# --enable-libjack
 libjack-jackd2-dev <!pkg.ffmpeg.stage1>,
# --enable-libjxl
 libjxl-dev [!alpha !i386] <!pkg.ffmpeg.stage1>,
# --enable-lv2
 liblilv-dev <!pkg.ffmpeg.stage1>,
# autodetected for the tiff decoder
 liblzma-dev,
# --enable-libmp3lame
 libmp3lame-dev,
# --enable-libmysofa
 libmysofa-dev,
# --enable-openal
 libopenal-dev,
# --enable-libopencore_amrnb
 libopencore-amrnb-dev <!pkg.ffmpeg.noextra>,
# --enable-libopencore_amrwb
 libopencore-amrwb-dev <!pkg.ffmpeg.noextra>,
# --enable-libopenjpeg
 libopenjp2-7-dev (>= 2.1),
# --enable-libopenmpt
 libopenmpt-dev,
# --enable-libopus
 libopus-dev,
# --enable-libplacebo
 libplacebo-dev (>= 4.192) [linux-any] <!pkg.ffmpeg.stage1>,
# --enable-pocketsphinx
 libpocketsphinx-dev (>= 0.8+5prealpha+1-7~) [!alpha !hppa !i386 !ia64 !m68k !mips64el !powerpc !ppc64 !s390x !sparc64] <!pkg.ffmpeg.stage1>,
# --enable-libpulse
 libpulse-dev <!pkg.ffmpeg.stage1>,
# --enable-librabbitmq
 librabbitmq-dev <!pkg.ffmpeg.stage1>,
# --enable-librav1e
 librav1e-dev [!alpha !hppa !hurd-i386 !i386 !ia64 !m68k !sh4 !sparc64 !x32] <!pkg.ffmpeg.stage1>,
# --enable-librist
 librist-dev <!pkg.ffmpeg.stage1>,
# --enable-librubberband
 librubberband-dev,
# --enable-librsvg
 librsvg2-dev [!alpha !hppa !hurd-i386 !ia64 !m68k !sh4 !x32] <!pkg.ffmpeg.stage1>,
# autodetected: protocol 'sctp'
 libsctp-dev [linux-any] <!pkg.ffmpeg.stage1>,
# --enable-sdl2
 libsdl2-dev <!pkg.ffmpeg.stage1>,
# --enable-libshine
 libshine-dev (>= 3.0.0),
# --enable-libsmbclient (used only in -extra flavor)
 libsmbclient-dev (>= 4.13) [!hurd-i386] <!pkg.ffmpeg.noextra>,
# --enable-libsnappy
 libsnappy-dev,
# --enable-libsoxr
 libsoxr-dev,
# --enable-libspeex
 libspeex-dev,
# --enable-libsrt
 libsrt-gnutls-dev <!pkg.ffmpeg.stage1>,
# --enable-libssh
 libssh-gcrypt-dev <!pkg.ffmpeg.stage1>,
# --enable-libsvtav1
 libsvtav1enc-dev <!pkg.ffmpeg.stage1>,
# --enable-libtesseract (used only in -extra flavor)
 libtesseract-dev <!pkg.ffmpeg.noextra>,
# --enable-libtheora
 libtheora-dev,
# --enable-libtwolame
 libtwolame-dev,
# This is not necessary, see explanation in debian/rules.
# # --enable-libv4l2
# libv4l-dev [!hurd-any],
# autodetected: hwaccels 'h263_vaapi, mpeg2_vaapi, vc1_vaapi, h264_vaapi, mpeg4_vaapi, wmv3_vaapi'
 libva-dev (>= 1.3) [!hurd-any],
# autodetected: hwaccels 'h263_vdpau, mpeg2_vdpau, vc1_vdpau, h264_vdpau, mpeg4_vdpau, wmv3_vdpau, mpeg1_vdpau', decoders 'h264_vdpau, mpeg1_vdpau, mpeg4_vdpau, mpeg_vdpau, vc1_vdpau, wmv3_vdpau'
 libvdpau-dev,
# --enable-libvidstab
 libvidstab-dev,
# --enable-libvo_amrwbenc
 libvo-amrwbenc-dev <!pkg.ffmpeg.noextra>,
# --enable-libvorbis
 libvorbis-dev,
# --enable-libvpl
 libvpl-dev [amd64],
# --enable-libvpx
 libvpx-dev,
# autodetected: vulkan
 libvulkan-dev [linux-any],
# --enable-libwebp
 libwebp-dev,
# --enable-libx264
 libx264-dev <!pkg.ffmpeg.stage1>,
# --enable-libx265
 libx265-dev (>= 1.8),
# autodetected libxcb-shape
 libxcb-shape0-dev,
# autodetected libxcb-shm
 libxcb-shm0-dev,
# autodetected libxcb-xfixes
 libxcb-xfixes0-dev,
# --enable-libxml2
 libxml2-dev,
# autodetected xlib
 libxv-dev,
# --enable-libxvid
 libxvidcore-dev,
# --enable-libzimg
 libzimg-dev,
# --enable-libzmq
 libzmq3-dev <!pkg.ffmpeg.stage1>,
# --enable-libzvbi
 libzvbi-dev <!pkg.ffmpeg.stage1>,
# --enable-opencl
 ocl-icd-opencl-dev | opencl-dev,
# used to detect libraries
 pkgconf,
# HTML documentation
 texinfo,
# assembler optimizations
 nasm,
# autodetected zlib
 zlib1g-dev

Package: ffmpeg
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 ffmpeg-doc
Description: Tools for transcoding, streaming and playing of multimedia files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains:
  * ffmpeg: a command line tool to convert multimedia files between formats
  * ffplay: a simple media player based on SDL and the FFmpeg libraries
  * ffprobe: a simple multimedia stream analyzer
  * qt-faststart: a utility to rearrange Quicktime files

Package: ffmpeg-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 libjs-bootstrap,
 ${misc:Depends}
Description: Documentation of the FFmpeg multimedia framework
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains the HTML documentation for the FFmpeg multimedia
 framework including the API documentation created by doxygen and the manpages
 for the libraries.

Package: libavcodec60
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 libcuda1 [amd64 arm64 i386],
 libnvcuvid1 [amd64 arm64 i386],
 libnvidia-encode1 [amd64 arm64 i386],
Description: FFmpeg library with de/encoders for audio/video codecs - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the runtime files.

Package: libavcodec-extra60
Build-Profiles: <!pkg.ffmpeg.noextra>
Architecture: any
Section: libs
Multi-Arch: same
Conflicts: libavcodec60
Provides: libavcodec60 (= ${binary:Version})
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 libcuda1 [amd64 arm64 i386],
 libnvcuvid1 [amd64 arm64 i386],
 libnvidia-encode1 [amd64 arm64 i386],
Description: FFmpeg library with additional de/encoders for audio/video codecs
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package replaces the libavcodec60 package and contains the
 following additional codecs:
 .
  * ARIB STD-B24 Captions (Subtitle Decoder)
  * OpenCORE Adaptive Multi-Rate (AMR) Narrow-Band (Encoder/Decoder)
  * OpenCORE Adaptive Multi-Rate (AMR) Wide-Band (Decoder)
  * Android VisualOn Adaptive Multi-Rate (AMR) Wide-Band (Encoder)
 .
 Because this package links against libraries that are licensed under
 Apache License 2.0, the resulting binaries are distributed under the
 GPL version 3 or later.

Package: libavcodec-extra
Build-Profiles: <!pkg.ffmpeg.noextra>
Architecture: any
Section: metapackages
Multi-Arch: same
Depends:
 libavcodec-extra60 (= ${binary:Version}),
 ${misc:Depends}
Description: FFmpeg library with extra codecs (metapackage)
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This metapackage depends on the latest version of the libavcodec variant
 that offers additional codec support. Application packages can depend
 on it if they require or suggest this variant in a robust manner.

Package: libavcodec-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libavcodec60 (= ${binary:Version}),
 libavutil-dev (= ${binary:Version}),
 libswresample-dev (= ${binary:Version}),
 ${misc:Depends}
Description: FFmpeg library with de/encoders for audio/video codecs - development files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the development files.

Package: libavdevice60
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: FFmpeg library for handling input and output devices - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic framework for grabbing from and rendering to
 many common multimedia input/output devices, and supports several input and
 output devices, including Video4Linux2, VfW, DShow, and ALSA.
 .
 This package contains the runtime files.

Package: libavdevice-dev

=== debian/rules ===
#!/usr/bin/make -f

export V=1

# sets DEBIAN_VERSION variable
include /usr/share/dpkg/pkg-info.mk

# Get the Debian version revision:
DEB_REVISION := $(word 2, $(subst -, ,$(DEB_VERSION)))

# sets DEB_HOST_* variables
include /usr/share/dpkg/architecture.mk

# Ubuntu ld adds -Bsymbolic-functions by default, but that prevents FFmpeg from building.
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

# Package name for the extra flavor.
SHLIB_PKGS := $(shell sed -nr '/extra/! s/^Package:[[:space:]]*(lib.*[0-9]+)[[:space:]]*$$/\1/p' debian/control)
EXTRA_PKGS := $(shell sed -nr 's/^Package:[[:space:]]*(.*extra[0-9]+)[[:space:]]*$$/\1/p' debian/control)
FLAVORS = standard static
ifeq ($(filter pkg.ffmpeg.noextra,$(DEB_BUILD_PROFILES)),)
FLAVORS += extra
endif

# Most possible features, compatible with effective licensing of GPLv2+
CONFIG := --prefix=/usr \
	--extra-version="$(DEB_REVISION)" \
	--toolchain=hardened \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
	--arch=$(DEB_HOST_ARCH_CPU) \
	--enable-gpl \
	--disable-stripping \
	--disable-omx \
	--enable-gnutls \
	--enable-libaom \
	--enable-libass \
	--enable-libbs2b \
	--enable-libcaca \
	--enable-libcdio \
	--enable-libcodec2 \
	--enable-libdav1d \
	--enable-libflite \
	--enable-libfontconfig \
	--enable-libfreetype \
	--enable-libfribidi \
	--enable-libglslang \
	--enable-libgme \
	--enable-libgsm \
	--enable-libharfbuzz \
	--enable-libmp3lame \
	--enable-libmysofa \
	--enable-libopenjpeg \
	--enable-libopenmpt \
	--enable-libopus \
	--enable-librubberband \
	--enable-libshine \
	--enable-libsnappy \
	--enable-libsoxr \
	--enable-libspeex \
	--enable-libtheora \
	--enable-libtwolame \
	--enable-libvidstab \
	--enable-libvorbis \
	--enable-libvpx \
	--enable-libwebp \
	--enable-libx265 \
	--enable-libxml2 \
	--enable-libxvid \
	--enable-libzimg \
	--enable-openal \
	--enable-opencl \
	--enable-opengl

# disable sndio, it's pulled in via libopenal-dev and autodetected
CONFIG += --disable-sndio

ifeq (amd64,$(DEB_HOST_ARCH))
	CONFIG += --enable-libvpl \
		--disable-libmfx
endif

# The standard configuration only uses the shared CONFIG.
CONFIG_standard = --enable-shared

# Additional features, compatible with effective licensing of GPLv3+
CONFIG_extra = --enable-shared \
	--enable-version3 \
	--disable-doc \
	--disable-programs \
	--disable-static \
	--enable-libaribb24 \
	--enable-libopencore_amrnb \
	--enable-libopencore_amrwb \
	--enable-libtesseract \
	--enable-libvo_amrwbenc

# Do not enable libsmbclient support on hurd-i386
ifeq (,$(filter hurd-i386,$(DEB_HOST_ARCH)))
	CONFIG_extra += --enable-libsmbclient
endif

# Disable optimizations if requested.
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CONFIG += --disable-optimizations
endif

# Respect CC/CXX from the environment, if they differ from the default.
# Don't set them if they equal the default, because that disables autodetection needed for cross-building.
ifneq (cc,$(CC))
	CONFIG += --cc=$(CC)
endif
ifneq (g++,$(CXX))
	CONFIG += --cxx=$(CXX)
endif

# Some libraries are built only on linux.
ifeq (linux,$(DEB_HOST_ARCH_OS))
	CONFIG += --enable-libdc1394 \
		--enable-libdrm \
		--enable-libiec61883
endif

# ffmpeg is involved in build-dependency cycles with x264 and chromaprint, so disable them in stage one.
# Also disable
# - frei0r, which build-depends on opencv.
# - rav1e and rsvg2 for bootstrap to avoid a complete rust toolchain.
# - network protocols srt, ssh, zmq, rabbitmq, rist, ...
# - device access bluray, jack, ...
# - optional features pocketsphix, zvbi, ladsap, lv2, sdl2, ...
ifneq (,$(filter pkg.ffmpeg.stage1,$(DEB_BUILD_PROFILES)))
	CONFIG += \
		--disable-chromaprint \
		--disable-frei0r \
		--disable-ladspa \
		--disable-libbluray \
		--disable-libjack \
		--disable-libjxl \
		--disable-libplacebo \
		--disable-libpulse \
		--disable-librabbitmq \
		--disable-librav1e \
		--disable-librist \
		--disable-librsvg \
		--disable-libsrt \
		--disable-libssh \
		--disable-libsvtav1 \
		--disable-libx264 \
		--disable-libzmq \
		--disable-libzvbi \
		--disable-lv2 \
		--disable-pocketsphinx \
		--disable-sdl2
else
	CONFIG += \
		--enable-chromaprint \
		--enable-frei0r \
		--enable-ladspa \
		--enable-libbluray \
		--enable-libjack \
		--enable-libpulse \
		--enable-librabbitmq \
		--enable-librist \
		--enable-libsrt \
		--enable-libssh \
		--enable-libsvtav1 \
		--enable-libx264 \
		--enable-libzmq \
		--enable-libzvbi \
		--enable-lv2 \
		--enable-sdl2
# Some libraries are built only on linux.
ifeq (linux,$(DEB_HOST_ARCH_OS))
	CONFIG += --enable-libplacebo
else
	CONFIG += --disable-libplacebo
endif
# Rust is not available on most of ports.
ifeq (,$(filter alpha hppa hurd-i386 i386 ia64 m68k sh4 sparc64 x32,$(DEB_HOST_ARCH)))
	CONFIG += --enable-librav1e
else
	CONFIG += --disable-librav1e
endif
# avoid pocketsphinx on mips (bug#812335), alpha, i386, ia64 and big-endian (bug#968456)
ifeq (,$(filter mips% alpha i386 ia64,$(DEB_HOST_ARCH))$(filter big,$(DEB_HOST_ARCH_ENDIAN)))
	CONFIG += --enable-pocketsphinx
else
	CONFIG += --disable-pocketsphinx
endif
# avoid librsvg on almost all ports (bug#983344, bug#991556)
ifeq (,$(filter alpha hppa hurd-i386 ia64 m68k sh4 x32,$(DEB_HOST_ARCH)))
	CONFIG += --enable-librsvg
else
	CONFIG += --disable-librsvg
endif
# avoid libjxl on alpha and i386 for now
ifeq (,$(filter alpha i386,$(DEB_HOST_ARCH)))
	CONFIG += --enable-libjxl
else
	CONFIG += --disable-libjxl
endif
endif

# Disable altivec optimizations on powerpc, because they are not always available on this architecture.
ifeq (powerpc,$(DEB_HOST_ARCH))
	CONFIG += --disable-altivec
	# Build an altivec flavor of the libraries on powerpc.
	# This works around the problem that runtime cpu detection on powerpc currently does not work,
	# because, if altivec is enabled, all files are build with '-maltivec' so that the compiler inserts altivec instructions, wherever it likes.
	CONFIG_altivec = --enable-shared \
		--enable-altivec \
		--disable-doc \
		--disable-programs
	CONFIG_altivec-extra = $(CONFIG_altivec) $(CONFIG_extra)
	FLAVORS += altivec altivec-extra
endif

# Disable assembly optimizations on x32, because they don't work (yet).
ifneq (,$(filter x32,$(DEB_HOST_ARCH)))
	CONFIG += --disable-asm
endif

ifneq (,$(filter mips%,$(DEB_HOST_ARCH)))
	CONFIG += --disable-mipsdsp \
		--disable-mipsdspr2 \
		--disable-loongson2 \
		--disable-loongson3 \
		--disable-mmi \
		--disable-mips32r5 \
		$(MIPS_R2_R6_CONFIG) \
		--disable-msa
endif

# Disable some tests which fail when FLT_EVAL_METHOD != 0 (found on i386, m68k and s390x)
ifneq (,$(filter i386 m68k s390x,$(DEB_HOST_ARCH_CPU)))
	CONFIG += --ignore-tests=hapenc-hap-none,hapenc-hapa-none,hapenc-hapq-none
endif
# Disable new tests that were never successful on ppc64el
# (introduced in 5fdb5ed6132687219d0ef2127115ebaf95514058)
# https://trac.ffmpeg.org/ticket/9604
ifeq (ppc64el,$(DEB_HOST_ARCH))
	CONFIG += --ignore-tests=checkasm-sw_scale,filter-scale2ref_keep_aspect
endif
# https://trac.ffmpeg.org/ticket/9855
ifneq (,$(filter hppa m68k powerpc sparc64 s390x,$(DEB_HOST_ARCH_CPU)))
	CONFIG += --ignore-tests=filter-overlay_yuv420p10
endif
ifeq (ppc64,$(DEB_HOST_ARCH))
	CONFIG += --ignore-tests=checkasm-sw_scale,filter-overlay_yuv420p10
endif

# Set cross-build prefix for compiler, pkg-config...
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CONFIG += --cross-prefix=$(DEB_HOST_GNU_TYPE)- \
		--target-os=$(DEB_HOST_ARCH_OS)
endif

%:
	dh $@

# Add configuration options:
override_dh_auto_configure: $(patsubst %,configure_%,$(FLAVORS))
configure_%:
	$(info $()   debian/rules $@)
	mkdir -p debian/$*
	cd debian/$* && ../../configure $(strip $(CONFIG) $(CONFIG_$*)) || (cat ffbuild/config.log && exit 1)

# Remove the subdirectories generated for the flavors.
override_dh_auto_clean:
	rm -rf $(patsubst %,debian/%,$(FLAVORS))

# Create doxygen documentation:
override_dh_auto_build-indep:

## ffmpeg 7.0.2

=== debian/changelog ===
ffmpeg (7:7.0.2-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too
    - Force gcc-13 on s390x, fixing a failure during build with no log

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 Aug 2024 07:51:22 +0200

ffmpeg (7:7.0.2-3) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix armel/armhf asm builds
  * debian/rules: Revert "Temporarily disable ASM optimizations on armel and
    armhf" (Closes: #1074370)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 13 Aug 2024 23:04:54 +0200

ffmpeg (7:7.0.2-2ubuntu2) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too
    - Force gcc-13 on s390x, fixing a failure during build with no log

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 14:39:22 +0200

ffmpeg (7:7.0.2-2) unstable; urgency=medium

  * debian/patches: Apply patches to avoid VA-API failures with modern Mesa3D
    (Closes: #1072038)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 Aug 2024 23:03:13 +0200

ffmpeg (7:7.0.2-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too
    - Force gcc-13 on s390x, fixing a failure during build with no log

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Aug 2024 08:27:00 +0200

ffmpeg (7:7.0.2-1) unstable; urgency=medium

  * New upstream version 7.0.2
    - Fix FTBFS on big-endian architectures with gcc 14 (Closes: #1077551)
    - Fix FTBFS on 32 bit architectures with gcc 14
  * debian/rules:
    - Revert "Workaround gcc 14 warnings on big-endian architectures"
    - Revert "Workaround gcc 14 warnings on 32 bit architectures"

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Aug 2024 00:26:53 +0200

ffmpeg (7:7.0.1-5) unstable; urgency=medium

  * debian/rules: Workaround gcc 14 warnings on big-endian architectures

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 30 Jul 2024 11:02:59 +0200

ffmpeg (7:7.0.1-4) unstable; urgency=medium

  * debian/rules: Workaround gcc 14 warnings on 32 bit architectures

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Jul 2024 22:51:12 +0200

ffmpeg (7:7.0.1-3) unstable; urgency=medium

  [ Bastian Germann ]
  * Build with libssh's default flavor

  [ Sebastian Ramacher ]
  * Upload to unstable
  * debian/: Disable libcaca in stage1 (Closes: #1076567)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Jul 2024 19:13:03 +0200

ffmpeg (7:7.0.1-2) experimental; urgency=medium

  * debian/rules: Temporarily disable ASM optimizations on armel and armhf

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Jul 2024 00:17:43 +0200

ffmpeg (7:7.0.1-1) experimental; urgency=medium

  [ Sebastian Ramacher ]
  * New upstream version 7.0.1
  * debian/: Disable ASM-based optimizations on powerpc and ppc64el
  * debian/tests: Drop one test for nut

  [ Diederik de Haas ]
  * d/tests: Update list_formats for extra output column in ffmpeg 7.0
    (Closes: #1071666)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 31 May 2024 19:31:33 +0200

ffmpeg (7:7.0-1) experimental; urgency=medium

  * New upstream version 7.0
  * SONAME bumps:
    - libavcodec60 -> libavcodec61
    - libavdevice60 -> libavdevice61
    - libavfilter9 -> libavfilter10
    - libavformat60 -> libavformat61
    - libavutil58 -> libavutil59
    - libpostproc57 -> libpostproc58
    - libswresample4 -> libswresample5
    - libswscale7 -> libswscale8
  * debian/: Enable dvd{nav,read} support
  * debian/:
    - Remove no longer needed patches
    - Add upstream post-release patches to fix some tests and other bugs
  * debian/rules: Ensure symbols files are generated when building with
    pkg.ffmpeg.noextra profile
  * debian/copyright: Update for new upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Apr 2024 01:08:10 +0200

ffmpeg (7:6.1.1-5ubuntu3) oracular; urgency=medium

  * Rebuild against new librav1e0.7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jul 2024 18:59:24 +0200

ffmpeg (7:6.1.1-5ubuntu2) oracular; urgency=medium

  * Rebuild against new libsvtav1enc2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2024 16:40:36 +0200

ffmpeg (7:6.1.1-5ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Jul 2024 09:32:57 +0200

ffmpeg (7:6.1.1-5) unstable; urgency=medium

  * debian/rules: Temporarily disable ASM optimizations on armel and armhf

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Jul 2024 00:22:10 +0200

ffmpeg (7:6.1.1-4ubuntu3) oracular; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Jun 2024 19:29:42 -0400

ffmpeg (7:6.1.1-4ubuntu2) oracular; urgency=medium

  * Rebuild against new libjxl0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 22:31:05 +0200

ffmpeg (7:6.1.1-4ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 15:00:20 +0200

ffmpeg (7:6.1.1-4) unstable; urgency=medium

  * debian/patches: Fix build with more recent mesa (Closes: #1069349)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Apr 2024 21:34:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,11 @@
 
 # sets DEB_HOST_* variables
 include /usr/share/dpkg/architecture.mk
+
+ifeq (s390x,$(DEB_HOST_ARCH))
+	export CC=gcc-13
+	export CXX=g++-13
+endif
 
 # Ubuntu ld adds -Bsymbolic-functions by default, but that prevents FFmpeg from building.
 export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
@@ -31,12 +36,12 @@
 	--arch=$(DEB_HOST_ARCH_CPU) \
 	--enable-gpl \
 	--disable-stripping \
+	--disable-libmfx \
 	--disable-omx \
 	--enable-gnutls \
 	--enable-libaom \
 	--enable-libass \
 	--enable-libbs2b \
-	--enable-libcaca \
 	--enable-libcdio \
 	--enable-libcodec2 \
 	--enable-libdav1d \
@@ -76,8 +81,9 @@
 CONFIG += --disable-sndio
 
 ifeq (amd64,$(DEB_HOST_ARCH))
-	CONFIG += --enable-libvpl \
-		--disable-libmfx
+	CONFIG += --enable-libvpl
+else
+	CONFIG += --disable-libvpl
 endif
 
 # The standard configuration only uses the shared CONFIG.
@@ -126,7 +132,7 @@
 # - frei0r, which build-depends on opencv.
 # - rav1e and rsvg2 for bootstrap to avoid a complete rust toolchain.
 # - network protocols srt, ssh, zmq, rabbitmq, rist, ...
-# - device access bluray, jack, ...
+# - device access bluray, jack, dvd, ...
 # - optional features pocketsphix, zvbi, ladsap, lv2, sdl2, ...
 ifneq (,$(filter pkg.ffmpeg.stage1,$(DEB_BUILD_PROFILES)))
 	CONFIG += \
@@ -134,6 +140,9 @@
 		--disable-frei0r \
 		--disable-ladspa \
 		--disable-libbluray \
+		--disable-libcaca \
+		--disable-libdvdnav \
+		--disable-libdvdread \
 		--disable-libjack \
 		--disable-libjxl \
 		--disable-libplacebo \
@@ -157,6 +166,9 @@
 		--enable-frei0r \
 		--enable-ladspa \
 		--enable-libbluray \
+		--enable-libcaca \
+		--enable-libdvdnav \
+		--enable-libdvdread \
 		--enable-libjack \
 		--enable-libpulse \
 		--enable-librabbitmq \
@@ -201,18 +213,12 @@
 endif
 endif
 
-# Disable altivec optimizations on powerpc, because they are not always available on this architecture.
-ifeq (powerpc,$(DEB_HOST_ARCH))
-	CONFIG += --disable-altivec
-	# Build an altivec flavor of the libraries on powerpc.
-	# This works around the problem that runtime cpu detection on powerpc currently does not work,
-	# because, if altivec is enabled, all files are build with '-maltivec' so that the compiler inserts altivec instructions, wherever it likes.
-	CONFIG_altivec = --enable-shared \
-		--enable-altivec \
-		--disable-doc \
-		--disable-programs
-	CONFIG_altivec-extra = $(CONFIG_altivec) $(CONFIG_extra)
-	FLAVORS += altivec altivec-extra
+# Disable ASM-based optimizations on powerpc and ppc64el.
+# They are currently not maintained and broken:
+# * https://trac.ffmpeg.org/ticket/9604
+# * https://trac.ffmpeg.org/ticket/10955
+ifneq (,$(filter powerpc ppc64el,$(DEB_HOST_ARCH)))
+	CONFIG += --disable-asm
 endif
 
 # Disable assembly optimizations on x32, because they don't work (yet).
@@ -271,3 +277,6 @@
 
 # Create doxygen documentation:
 override_dh_auto_build-indep:
+	dh_auto_build -i --sourcedirectory=debian/standard -- apidoc documentation
+	# Create the minified CSS files.
+	#  Due to https://github.com/nodejs/node/issues/14752 where nodejs will
